<?php

    /*
     * Plugin Name: In8Sync Inventory
     * Description: This plugin manages inventory syncing with NetSuite
     * Version: 3.2.16
     * Author: In8Sync
     * Author URI: http://www.in8sync.com
     */
    if (!defined('ABSPATH')) {
        exit; // Exit if accessed directly
    }
// run the install scripts upon plugin activation
    register_activation_hook(__FILE__, 'installIn8InventoryPlugin');

// function for creating log table "in8sync_log"
    function installIn8InventoryPlugin() {
        //check if in8sync plugin is installed and activated
        if (!in_array('in8sync/in8sync.php', apply_filters('active_plugins', get_option('active_plugins')))) {
            //deactivate plugin if parent in8sync is not activated
            deactivate_plugins(__FILE__);
            echo '<div id="error" class="error notice is-dismissible"><p>Plugin can\'t be activated.Please install main in8 plugin before activating.</div>';
            die;
        }
    }

//plugins load hook
    add_action('plugins_loaded', 'init_in8_inventory_plugin', 15);

    function init_in8_inventory_plugin() {
        //check if in8sync plugin is installed and activated
        if (in_array('in8sync/in8sync.php', apply_filters('active_plugins', get_option('active_plugins')))) {
            define('In8_NetSuite_Inventory_Url', plugin_dir_url(__FILE__));
            require_once('inc/main.php');
            require_once('inc/cronjob.php');
        } else {
            include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
            //deactivate plugin if parent in8sync is not activated
            deactivate_plugins(__FILE__);
        }
    }

//    add_action('admin_init', 'in8_activate_updates_inventory');

    function in8_activate_updates_inventory() {
        require_once (IN8_MAIN_DIR . '/code/in8-update.php');
        $plugin_data = get_plugin_data(__FILE__);
        if (isset($plugin_data['Version'])) {
            $plugin_current_version = $plugin_data['Version'];
        } else {
            $plugin_current_version = '2.0.1';
        }
        $plugin_remote_path = 'https://secure.in8sync.com/update/currentversion.php';
        $plugin_slug = plugin_basename(__FILE__);
        new in8_wp_auto_update($plugin_current_version, $plugin_remote_path, $plugin_slug);
    }
    