<?php

	/*
	 * v1.0
	*/

	class IN8_Cronjob {

		public function __construct() {
			add_filter( 'cron_schedules', [ 'IN8_Cronjob', 'cron_add_types' ] );
			add_action( 'init', [ 'IN8_Cronjob', 'register_cron' ] );
		}
		public static function register_cron() {
                        $options = In8_NetSuite_Inventory::options();
			if ( !empty($options) && ! wp_next_scheduled( 'in8_netsuite_process_inventories' ) ) {
				wp_schedule_event( time(), $options['cron_scheduled'], 'in8_netsuite_process_inventories' );
			}
		}
		public static function cron_add_types( $schedules ) {
                        $options = In8_NetSuite_Inventory::options();
			if ( ! empty( $options['cron_scheduled'] ) ) {
				$schedules[ $options['cron_scheduled'] ] = [
					'interval' => ( strtotime( $options['cron_scheduled'] ) - time() ),
					'display'  => __( 'Once every ' . $options['cron_scheduled'] ),
				];
			}

			return $schedules;
		}
	}

	$IN8_Cronjob = new IN8_Cronjob();

